Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImportCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImportCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Csv/CsvImportCommand.cs	(revision 16567)
@@ -23,5 +23,4 @@
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -32,5 +31,5 @@
 
     [StorableConstructor]
-    protected CsvImportCommand(bool deserializing) : base(deserializing) { }
+    protected CsvImportCommand(StorableConstructorFlag _) : base(_) { }
 
     public CsvImportCommand(DataSet dataSet)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2ImporterCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2ImporterCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Backend.Hl2ImporterFormat/Hl2ImporterCommand.cs	(revision 16567)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected Hl2ImporterCommand(bool deserializing) : base(deserializing) { }
+    protected Hl2ImporterCommand(StorableConstructorFlag _) : base(_) { }
 
     public Hl2ImporterCommand(DataSet dataSet)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateCommandBase.cs	(revision 16567)
@@ -32,6 +32,5 @@
   public abstract class AggregateCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
-    protected AggregateCommandBase(bool deserializing)
-      : base(deserializing) {
+    protected AggregateCommandBase(StorableConstructorFlag _) : base(_) {
       oldColumns = new List<ColumnBase>();
       newColumns = new List<ColumnBase>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMaxCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class AggregateWithMaxCommand : AggregateCommandBase {
     [StorableConstructor]
-    protected AggregateWithMaxCommand(bool deserializing) : base(deserializing) { }
+    protected AggregateWithMaxCommand(StorableConstructorFlag _) : base(_) { }
 
     public AggregateWithMaxCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMeanCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class AggregateWithMeanCommand : AggregateCommandBase {
     [StorableConstructor]
-    protected AggregateWithMeanCommand(bool deserializing) : base(deserializing) { }
+    protected AggregateWithMeanCommand(StorableConstructorFlag _) : base(_) { }
 
     public AggregateWithMeanCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMedianCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class AggregateWithMedianCommand : AggregateCommandBase {
     [StorableConstructor]
-    protected AggregateWithMedianCommand(bool deserializing) : base(deserializing) { }
+    protected AggregateWithMedianCommand(StorableConstructorFlag _) : base(_) { }
 
     public AggregateWithMedianCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithMinCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class AggregateWithMinCommand : AggregateCommandBase {
     [StorableConstructor]
-    protected AggregateWithMinCommand(bool deserializing) : base(deserializing) { }
+    protected AggregateWithMinCommand(StorableConstructorFlag _) : base(_) { }
 
     public AggregateWithMinCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/AggregateWithSumCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class AggregateWithSumCommand : AggregateCommandBase {
     [StorableConstructor]
-    protected AggregateWithSumCommand(bool deserializing) : base(deserializing) { }
+    protected AggregateWithSumCommand(StorableConstructorFlag _) : base(_) { }
 
     public AggregateWithSumCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/Aggregation/DeleteRowsWithDuplicateKeyValuesCommand.cs	(revision 16567)
@@ -35,6 +35,5 @@
     private Dictionary<int, IComparable[]> deletedRows;
     [StorableConstructor]
-    protected DeleteRowsWithDuplicateKeyValuesCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteRowsWithDuplicateKeyValuesCommand(StorableConstructorFlag _) : base(_) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewColumnCommandBase.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public abstract class AddNewColumnCommandBase : ColumnGroupCommandBase {
     [StorableConstructor]
-    protected AddNewColumnCommandBase(bool deserializing) : base(deserializing) { }
+    protected AddNewColumnCommandBase(StorableConstructorFlag _) : base(_) { }
 
     protected AddNewColumnCommandBase(DataSet dataSet, string columnGroupName, string columnName, Type columnType)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDateTimeColumnCommand.cs	(revision 16567)
@@ -35,5 +35,5 @@
   public class AddNewDateTimeColumnCommand : AddNewColumnCommandBase {
     [StorableConstructor]
-    protected AddNewDateTimeColumnCommand(bool deserializing) : base(deserializing) { }
+    protected AddNewDateTimeColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public AddNewDateTimeColumnCommand(DataSet dataSet, string columnGroupName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewDoubleColumnCommand.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class AddNewDoubleColumnCommand : AddNewColumnCommandBase {
     [StorableConstructor]
-    protected AddNewDoubleColumnCommand(bool deserializing) : base(deserializing) { }
+    protected AddNewDoubleColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public AddNewDoubleColumnCommand(DataSet dataSet, string columnGroupName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewProgrammableColumnCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class AddNewProgrammableColumnCommand : AddNewColumnCommandBase {
     [StorableConstructor]
-    protected AddNewProgrammableColumnCommand(bool deserializing) : base(deserializing) { }
+    protected AddNewProgrammableColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public AddNewProgrammableColumnCommand(DataSet dataSet, string columnGroupName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/AddNewStringColumnCommand.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class AddNewStringColumnCommand : AddNewColumnCommandBase {
     [StorableConstructor]
-    protected AddNewStringColumnCommand(bool deserializing) : base(deserializing) { }
+    protected AddNewStringColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public AddNewStringColumnCommand(DataSet dataSet, string columnGroupName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnCommandBase.cs	(revision 16567)
@@ -42,6 +42,5 @@
 
     [StorableConstructor]
-    protected ChangeColumnCommandBase(bool deserializing)
-      : base(deserializing) {
+    protected ChangeColumnCommandBase(StorableConstructorFlag _) : base(_) {
       newColumns = new List<ColumnBase>();
       oldColumns = new List<ColumnBase>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDateTimeColumnCommand.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class ChangeColumnToDateTimeColumnCommand : ChangeColumnCommandBase {
     [StorableConstructor]
-    protected ChangeColumnToDateTimeColumnCommand(bool deserializing) : base(deserializing) { }
+    protected ChangeColumnToDateTimeColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public ChangeColumnToDateTimeColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToDoubleColumnCommand.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class ChangeColumnToDoubleColumnCommand : ChangeColumnCommandBase {
     [StorableConstructor]
-    protected ChangeColumnToDoubleColumnCommand(bool deserializing) : base(deserializing) { }
+    protected ChangeColumnToDoubleColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public ChangeColumnToDoubleColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/ChangeColumnToStringColumnCommand.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class ChangeColumnToStringColumnCommand : ChangeColumnCommandBase {
     [StorableConstructor]
-    protected ChangeColumnToStringColumnCommand(bool deserializing) : base(deserializing) { }
+    protected ChangeColumnToStringColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public ChangeColumnToStringColumnCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/CreateTimeSeriesColumnsCommand.cs	(revision 16567)
@@ -36,5 +36,5 @@
     private int addedColumnsCount;
     [StorableConstructor]
-    protected CreateTimeSeriesColumnsCommand(bool deserializing) : base(deserializing) { }
+    protected CreateTimeSeriesColumnsCommand(StorableConstructorFlag _) : base(_) { }
     public CreateTimeSeriesColumnsCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitCategorialColumnCommand.cs	(revision 16567)
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected SplitCategorialColumnCommand(bool deserializing) : base(deserializing) { }
+    protected SplitCategorialColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public SplitCategorialColumnCommand(DataSet dataSet, string columnGroupName, int columnIndex)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeColumnGroup/SplitDictionaryStyleDataCommand.cs	(revision 16567)
@@ -36,5 +36,5 @@
     private int addedColumnsCount;
     [StorableConstructor]
-    protected SplitDictionaryStyleDataCommand(bool deserializing) : base(deserializing) { }
+    protected SplitDictionaryStyleDataCommand(StorableConstructorFlag _) : base(_) { }
 
     public SplitDictionaryStyleDataCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AddNewColumnGroupCommand.cs	(revision 16567)
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected AddNewColumnGroupCommand(bool deserializing) : base(deserializing) { }
+    protected AddNewColumnGroupCommand(StorableConstructorFlag _) : base(_) { }
 
     public AddNewColumnGroupCommand(DataSet dataSet)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/AlignColumnGroupsCommand.cs	(revision 16567)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected AlignColumnGroupsCommand(bool deserializing) : base(deserializing) { }
+    protected AlignColumnGroupsCommand(StorableConstructorFlag _) : base(_) { }
 
     public AlignColumnGroupsCommand(DataSet dataSet, List<string> affectedColumnGroupNames)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/DeleteColumnGroupCommand.cs	(revision 16567)
@@ -34,6 +34,5 @@
 
     [StorableConstructor]
-    protected DeleteColumnGroupCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteColumnGroupCommand(StorableConstructorFlag _) : base(_) {
       deletedColumnGroups = new List<KeyValuePair<int, ColumnGroup>>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MergeColumnGroupsCommand.cs	(revision 16567)
@@ -38,6 +38,5 @@
 
     [StorableConstructor]
-    protected MergeColumnGroupsCommand(bool deserializing)
-      : base(deserializing) {
+    protected MergeColumnGroupsCommand(StorableConstructorFlag _) : base(_) {
       oldColumnGroups = new SortedDictionary<int, ColumnGroup>();
       oldRowCounts = new List<int>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupLeftCommand.cs	(revision 16567)
@@ -33,5 +33,5 @@
   public class MoveColumnGroupLeftCommand : DataSetCommandWithAffectedColumnGroupsBase {
     [StorableConstructor]
-    protected MoveColumnGroupLeftCommand(bool deserializing) : base(deserializing) { }
+    protected MoveColumnGroupLeftCommand(StorableConstructorFlag _) : base(_) { }
     public MoveColumnGroupLeftCommand(DataSet dataSet, List<string> affectedColumnGroups)
       : base(dataSet, affectedColumnGroups) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/MoveColumnGroupRightCommand.cs	(revision 16567)
@@ -33,5 +33,5 @@
   public class MoveColumnGroupRightCommand : DataSetCommandWithAffectedColumnGroupsBase {
     [StorableConstructor]
-    protected MoveColumnGroupRightCommand(bool deserializing) : base(deserializing) { }
+    protected MoveColumnGroupRightCommand(StorableConstructorFlag _) : base(_) { }
 
     public MoveColumnGroupRightCommand(DataSet dataSet, List<string> affectedColumnGroups)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeDataset/SplitColumnGroupCommand.cs	(revision 16567)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected SplitColumnGroupsCommand(bool deserializing) : base(deserializing) { }
+    protected SplitColumnGroupsCommand(StorableConstructorFlag _) : base(_) { }
     public SplitColumnGroupsCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/BoxCoxTransformationCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
   public class BoxCoxTransformationCommand : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
-    protected BoxCoxTransformationCommand(bool deserializing) : base(deserializing) { }
+    protected BoxCoxTransformationCommand(StorableConstructorFlag _) : base(_) { }
 
     public BoxCoxTransformationCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/DeleteRowsWithGivenValueCommand.cs	(revision 16567)
@@ -39,6 +39,5 @@
 
     [StorableConstructor]
-    protected DeleteRowsWithGivenValueCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteRowsWithGivenValueCommand(StorableConstructorFlag _) : base(_) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterCommandBase.cs	(revision 16567)
@@ -29,5 +29,5 @@
   public abstract class FilterCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
-    protected FilterCommandBase(bool deserializing) : base(deserializing) { }
+    protected FilterCommandBase(StorableConstructorFlag _) : base(_) { }
 
     public FilterCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingAverageCommand.cs	(revision 16567)
@@ -38,6 +38,5 @@
 
     [StorableConstructor]
-    protected FilterMovingAverageCommand(bool deserializing)
-      : base(deserializing) {
+    protected FilterMovingAverageCommand(StorableConstructorFlag _) : base(_) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterMovingMedianCommand.cs	(revision 16567)
@@ -37,6 +37,5 @@
 
     [StorableConstructor]
-    protected FilterMovingMedianCommand(bool deserializing)
-      : base(deserializing) {
+    protected FilterMovingMedianCommand(StorableConstructorFlag _) : base(_) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/FilterSavitzkyGolayCommand.cs	(revision 16567)
@@ -48,6 +48,5 @@
 
     [StorableConstructor]
-    protected FilterSavitzkyGolayCommand(bool deserializing)
-      : base(deserializing) {
+    protected FilterSavitzkyGolayCommand(StorableConstructorFlag _) : base(_) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/LinearTransformationCommand.cs	(revision 16567)
@@ -33,5 +33,5 @@
   public class LinearTransformationCommand : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
-    protected LinearTransformationCommand(bool deserializing) : base(deserializing) { }
+    protected LinearTransformationCommand(StorableConstructorFlag _) : base(_) { }
 
     public LinearTransformationCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/NormalDistributionScalingCommand.cs	(revision 16567)
@@ -36,6 +36,5 @@
 
     [StorableConstructor]
-    protected NormalDistributionScalingCommand(bool deserializing)
-      : base(deserializing) {
+    protected NormalDistributionScalingCommand(StorableConstructorFlag _) : base(_) {
       oldNormalDistribution = new List<KeyValuePair<double, double>>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/PercentalChangeCommand.cs	(revision 16567)
@@ -36,6 +36,5 @@
 
     [StorableConstructor]
-    protected PercentalChangeCommand(bool deserializing)
-      : base(deserializing) {
+    protected PercentalChangeCommand(StorableConstructorFlag _) : base(_) {
       oldColumns = new Dictionary<int, DoubleColumn>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/ScalingBetweenMinAndMaxCommand.cs	(revision 16567)
@@ -37,6 +37,5 @@
 
     [StorableConstructor]
-    protected ScalingBetweenMinAndMaxCommand(bool deserializing)
-      : base(deserializing) {
+    protected ScalingBetweenMinAndMaxCommand(StorableConstructorFlag _) : base(_) {
       oldMinValues = new List<double>();
       oldMaxValues = new List<double>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchAndReplaceCommand.cs	(revision 16567)
@@ -41,6 +41,5 @@
 
     [StorableConstructor]
-    protected SearchAndReplaceCommand(bool deserializing)
-      : base(deserializing) {
+    protected SearchAndReplaceCommand(StorableConstructorFlag _) : base(_) {
       changedCells = new Dictionary<Point, IComparable>();
       oldSorteColumnIndices = new List<int>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchCommandBase.cs	(revision 16567)
@@ -29,5 +29,5 @@
   public abstract class SearchCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     [StorableConstructor]
-    protected SearchCommandBase(bool deserializing) : base(deserializing) { }
+    protected SearchCommandBase(StorableConstructorFlag _) : base(_) { }
     protected SearchCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/ChangeValues/SearchWithMatchOperationCommandBase.cs	(revision 16567)
@@ -39,5 +39,5 @@
   public abstract class SearchWithMatchOperationCommandBase : SearchCommandBase {
     [StorableConstructor]
-    protected SearchWithMatchOperationCommandBase(bool deserializing) : base(deserializing) { }
+    protected SearchWithMatchOperationCommandBase(StorableConstructorFlag _) : base(_) { }
     protected SearchWithMatchOperationCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteColumnsWithMissingValuesThresholdCommand.cs	(revision 16567)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected DeleteColumnsWithMissingValuesThresholdCommand(bool deserializing) : base(deserializing) { }
+    protected DeleteColumnsWithMissingValuesThresholdCommand(StorableConstructorFlag _) : base(_) { }
 
     public DeleteColumnsWithMissingValuesThresholdCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesCommand.cs	(revision 16567)
@@ -37,6 +37,5 @@
 
     [StorableConstructor]
-    protected DeleteRowsWithMissingValuesCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteRowsWithMissingValuesCommand(StorableConstructorFlag _) : base(_) {
       oldColumns = new List<ColumnBase>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/DeleteRowsWithMissingValuesThresholdCommand.cs	(revision 16567)
@@ -42,6 +42,5 @@
 
     [StorableConstructor]
-    protected DeleteRowsWithMissingValuesThresholdCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteRowsWithMissingValuesThresholdCommand(StorableConstructorFlag _) : base(_) {
       deletedRows = new Dictionary<int, IComparable[]>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValueCommandBase.cs	(revision 16567)
@@ -35,6 +35,5 @@
 
     [StorableConstructor]
-    protected FillMissingValueCommandBase(bool deserializing)
-      : base(deserializing) {
+    protected FillMissingValueCommandBase(StorableConstructorFlag _) : base(_) {
       nullValues = new Dictionary<int, List<int>>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithLinearInterpolation.cs	(revision 16567)
@@ -35,5 +35,5 @@
   public class FillMissingValuesWithLinearInterpolation : FillMissingValueCommandBase {
     [StorableConstructor]
-    protected FillMissingValuesWithLinearInterpolation(bool deserializing) : base(deserializing) { }
+    protected FillMissingValuesWithLinearInterpolation(StorableConstructorFlag _) : base(_) { }
     public FillMissingValuesWithLinearInterpolation(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMeanCommand.cs	(revision 16567)
@@ -35,5 +35,5 @@
   public class FillMissingValuesWithMeanCommand : FillMissingValueCommandBase {
     [StorableConstructor]
-    protected FillMissingValuesWithMeanCommand(bool deserializing) : base(deserializing) { }
+    protected FillMissingValuesWithMeanCommand(StorableConstructorFlag _) : base(_) { }
     public FillMissingValuesWithMeanCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithMedianCommand.cs	(revision 16567)
@@ -35,5 +35,5 @@
   public class FillMissingValuesWithMedianCommand : FillMissingValueCommandBase {
     [StorableConstructor]
-    protected FillMissingValuesWithMedianCommand(bool deserializing) : base(deserializing) { }
+    protected FillMissingValuesWithMedianCommand(StorableConstructorFlag _) : base(_) { }
     public FillMissingValuesWithMedianCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/MissingValues/FillMissingValuesWithPreviousValuesCommand.cs	(revision 16567)
@@ -35,5 +35,5 @@
   public class FillMissingValuesWithPreviousValuesCommand : FillMissingValueCommandBase {
     [StorableConstructor]
-    protected FillMissingValuesWithPreviousValuesCommand(bool deserializing) : base(deserializing) { }
+    protected FillMissingValuesWithPreviousValuesCommand(StorableConstructorFlag _) : base(_) { }
     public FillMissingValuesWithPreviousValuesCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
       base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/ChangeDateTimeColumnToDoubleColumn.cs	(revision 16567)
@@ -43,6 +43,5 @@
 
     [StorableConstructor]
-    protected ChangeDateTimeColumnToDoubleColumn(bool deserializing)
-      : base(deserializing) {
+    protected ChangeDateTimeColumnToDoubleColumn(StorableConstructorFlag _) : base(_) {
       newColumns = new List<ColumnBase>();
       oldColumns = new List<ColumnBase>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/DeleteNotEquidistantRowsCommand.cs	(revision 16567)
@@ -42,6 +42,5 @@
 
     [StorableConstructor]
-    protected DeleteNotEquidistantRowsCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteNotEquidistantRowsCommand(StorableConstructorFlag _) : base(_) {
       oldColumns = new List<ColumnBase>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantSamplingCommand.cs	(revision 16567)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected EquidistantSamplingCommand(bool deserializing) : base(deserializing) { }
+    protected EquidistantSamplingCommand(StorableConstructorFlag _) : base(_) { }
     public EquidistantSamplingCommand(DataSet dataSet, string columnGroupName)
       : base(dataSet, columnGroupName) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/EquidistantTimeSeriesCommandBase.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public abstract class EquidistantTimeSeriesCommandBase : ColumnGroupCommandBase {
     [StorableConstructor]
-    protected EquidistantTimeSeriesCommandBase(bool deserializing) : base(deserializing) { }
+    protected EquidistantTimeSeriesCommandBase(StorableConstructorFlag _) : base(_) { }
     public EquidistantTimeSeriesCommandBase(DataSet dataSet, string columnGroupName)
       : base(dataSet, columnGroupName) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/InterpolateMissingValues.cs	(revision 16567)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected InterpolateMissingValues(bool deserializing) : base(deserializing) { }
+    protected InterpolateMissingValues(StorableConstructorFlag _) : base(_) { }
     public InterpolateMissingValues(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Command/TimeSeries/SetPartOfDateTimeCommand.cs	(revision 16567)
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected SetPartOfDateTimeCommand(bool deserializing) : base(deserializing) { }
+    protected SetPartOfDateTimeCommand(StorableConstructorFlag _) : base(_) { }
     public SetPartOfDateTimeCommand(DataSet dataSet, string columnGroupName, int[] affectedColumns)
       : base(dataSet, columnGroupName, affectedColumns) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/AddRowCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/AddRowCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/AddRowCommand.cs	(revision 16567)
@@ -26,5 +26,4 @@
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -40,5 +39,5 @@
 
     [StorableConstructor]
-    protected AddRowCommand(bool deserializing) : base(deserializing) { }
+    protected AddRowCommand(StorableConstructorFlag _) : base(_) { }
 
     public AddRowCommand(DataSet dataSet, string columnGroupName, IComparable[] row)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValueCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValueCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValueCommand.cs	(revision 16567)
@@ -26,5 +26,4 @@
 using HeuristicLab.DataImporter.Data.CommandBase;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -42,5 +41,5 @@
 
     [StorableConstructor]
-    protected ChangeValueCommand(bool deserializing) : base(deserializing) { }
+    protected ChangeValueCommand(StorableConstructorFlag _) : base(_) { }
 
     public ChangeValueCommand(DataSet dataSet, string columnGroupName, int columnIndex, int position, IComparable newValue)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValuesToNullCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValuesToNullCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/ChangeValuesToNullCommand.cs	(revision 16567)
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected ChangeValuesToNullCommand(bool deserializing) : base(deserializing) { }
+    protected ChangeValuesToNullCommand(StorableConstructorFlag _) : base(_) { }
 
     public ChangeValuesToNullCommand(DataSet dataSet, string columnGroupName, IEnumerable<Point> cellIndexes)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteColumnCommand.cs	(revision 16567)
@@ -35,6 +35,5 @@
 
     [StorableConstructor]
-    protected DeleteColumnCommand(bool deserializing)
-      : base(deserializing) {
+    protected DeleteColumnCommand(StorableConstructorFlag _) : base(_) {
       deletedColumns = new List<ColumnBase>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteRowsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteRowsCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/DeleteRowsCommand.cs	(revision 16567)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected DeleteRowsCommand(bool deserializing) : base(deserializing) { }
+    protected DeleteRowsCommand(StorableConstructorFlag _) : base(_) { }
 
     public DeleteRowsCommand(DataSet dataSet, string columnGroupName, IEnumerable<int> rowIndexes)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/InsertRowCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/InsertRowCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/InsertRowCommand.cs	(revision 16567)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    protected InsertRowCommand(bool deserializing) : base(deserializing) { }
+    protected InsertRowCommand(StorableConstructorFlag _) : base(_) { }
 
     public InsertRowCommand(DataSet dataSet, string columnGroupName, int position)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/PasteValuesCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/PasteValuesCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/PasteValuesCommand.cs	(revision 16567)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    protected PasteValuesCommand(bool deserializing) : base(deserializing) { }
+    protected PasteValuesCommand(StorableConstructorFlag _) : base(_) { }
 
     public PasteValuesCommand(DataSet dataSet, string columnGroupName, int columnIndex, int rowIndex, string values)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected RenameColumnCommand(bool deserializing) : base(deserializing) { }
+    protected RenameColumnCommand(StorableConstructorFlag _) : base(_) { }
 
     public RenameColumnCommand(DataSet dataSet, string columnGroupName, int columnIndex, string newName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnGroupCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnGroupCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/RenameColumnGroupCommand.cs	(revision 16567)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected RenameColumnGroupCommand(bool deserializing) : base(deserializing) { }
+    protected RenameColumnGroupCommand(StorableConstructorFlag _) : base(_) { }
 
     public RenameColumnGroupCommand(DataSet dataSet, string columnGroupName, string newName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/SortCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/SortCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Command/SortCommand.cs	(revision 16567)
@@ -42,5 +42,5 @@
 
     [StorableConstructor]
-    protected SortCommand(bool deserializing) : base(deserializing) { }
+    protected SortCommand(StorableConstructorFlag _) : base(_) { }
 
     public SortCommand(DataSet dataSet, string columnGroupName, int sortColumnIndex) :
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnCommandBase.cs	(revision 16567)
@@ -36,5 +36,5 @@
 
     [StorableConstructor]
-    protected ColumnCommandBase(bool deserializing) : base(deserializing) { }
+    protected ColumnCommandBase(StorableConstructorFlag _) : base(_) { }
 
     protected ColumnCommandBase(DataSet dataSet, string columnGroupName, int columnIndex)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandBase.cs	(revision 16567)
@@ -22,5 +22,4 @@
 using System.Linq;
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -29,5 +28,5 @@
   public abstract class ColumnGroupCommandBase : DataSetCommandBase {
     [StorableConstructor]
-    protected ColumnGroupCommandBase(bool deserializing) : base(deserializing) { }
+    protected ColumnGroupCommandBase(StorableConstructorFlag _) : base(_) { }
 
     protected ColumnGroupCommandBase(DataSet dataSet, string columnGroupName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandWithAffectedColumnsBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandWithAffectedColumnsBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ColumnGroupCommandWithAffectedColumnsBase.cs	(revision 16567)
@@ -28,5 +28,5 @@
   public abstract class ColumnGroupCommandWithAffectedColumnsBase : ColumnGroupCommandBase {
     [StorableConstructor]
-    protected ColumnGroupCommandWithAffectedColumnsBase(bool deserializing) : base(deserializing) { }
+    protected ColumnGroupCommandWithAffectedColumnsBase(StorableConstructorFlag _) : base(_) { }
 
     protected ColumnGroupCommandWithAffectedColumnsBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/CommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/CommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/CommandBase.cs	(revision 16567)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -27,5 +26,5 @@
   public abstract class CommandBase : ICommand {
     [StorableConstructor]
-    protected CommandBase(bool deserializing) : base() { }
+    protected CommandBase(StorableConstructorFlag _) { }
     protected CommandBase() { }
 
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandBase.cs	(revision 16567)
@@ -21,5 +21,4 @@
 
 using HeuristicLab.DataImporter.Data.Model;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -28,5 +27,5 @@
   public abstract class DataSetCommandBase : CommandBase {
     [StorableConstructor]
-    protected DataSetCommandBase(bool deserializing) : base(deserializing) { }
+    protected DataSetCommandBase(StorableConstructorFlag _) : base(_) { }
 
     protected DataSetCommandBase(DataSet dataSet) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandWithAffectedColumnGroupsBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandWithAffectedColumnGroupsBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/DataSetCommandWithAffectedColumnGroupsBase.cs	(revision 16567)
@@ -29,5 +29,5 @@
   public abstract class DataSetCommandWithAffectedColumnGroupsBase : DataSetCommandBase {
     [StorableConstructor]
-    protected DataSetCommandWithAffectedColumnGroupsBase(bool deserializing) : base(deserializing) { }
+    protected DataSetCommandWithAffectedColumnGroupsBase(StorableConstructorFlag _) : base(_) { }
     protected DataSetCommandWithAffectedColumnGroupsBase(DataSet dataSet, List<string> affectedColumnGroupNames)
       : base(dataSet) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ICommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ICommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandBase/ICommand.cs	(revision 16567)
@@ -20,14 +20,12 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
+using HEAL.Attic;
 
 namespace HeuristicLab.DataImporter.Data.CommandBase {
+  [StorableType("709D6B5B-EBF8-4A1A-9621-3D1EC2E6B540")]
   public interface ICommand {
     void Execute();
     void UndoExecute();
-    string Description { get;}
+    string Description { get; }
   }
 }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandChain.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandChain.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/CommandChain.cs	(revision 16567)
@@ -59,6 +59,5 @@
 
     [StorableConstructor]
-    protected CommandChain(bool deserializing)
-      : base() {
+    protected CommandChain(StorableConstructorFlag _) {
       this.commands = new LinkedList<ICommand>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/DateTimeSpan.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/DateTimeSpan.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/DateTimeSpan.cs	(revision 16567)
@@ -29,5 +29,5 @@
     public DateTimeSpan() : base() { }
     [StorableConstructor]
-    protected DateTimeSpan(bool deserializing) : base() { }
+    protected DateTimeSpan(StorableConstructorFlag _) { }
 
     [Storable]
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnBase.cs	(revision 16567)
@@ -30,5 +30,5 @@
   public abstract class ColumnBase {
     [StorableConstructor]
-    protected ColumnBase(bool deserializing) : base() { }
+    protected ColumnBase(StorableConstructorFlag _) { }
 
     protected ColumnBase(string name)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ColumnGroup.cs	(revision 16567)
@@ -31,5 +31,5 @@
   public class ColumnGroup {
     [StorableConstructor]
-    protected ColumnGroup(bool deserializing) : base() { }
+    protected ColumnGroup(StorableConstructorFlag _) { }
     public ColumnGroup()
       : base() {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DataSet.cs	(revision 16567)
@@ -36,5 +36,5 @@
     }
     [StorableConstructor]
-    protected DataSet(bool deserializing) : base() { }
+    protected DataSet(StorableConstructorFlag _) { }
     public DataSet() {
       this.columnGroups = new List<ColumnGroup>();
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DateTimeColumn.cs	(revision 16567)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected DateTimeColumn(bool deserializing) : base(deserializing) { }
+    protected DateTimeColumn(StorableConstructorFlag _) : base(_) { }
 
     public DateTimeColumn(string columnName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/DoubleColumn.cs	(revision 16567)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected DoubleColumn(bool deserializing) : base(deserializing) { }
+    protected DoubleColumn(StorableConstructorFlag _) : base(_) { }
 
     public DoubleColumn(string columnName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/ProgrammableColumn.cs	(revision 16567)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected ProgrammableColumn(bool deserializing) : base(deserializing) { }
+    protected ProgrammableColumn(StorableConstructorFlag _) : base(_) { }
 
     public ProgrammableColumn(string columnName, ColumnGroup columnGroup)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.Data/Model/StringColumn.cs	(revision 16567)
@@ -33,5 +33,5 @@
 
     [StorableConstructor]
-    protected StringColumn(bool deserializing) : base(deserializing) { }
+    protected StringColumn(StorableConstructorFlag _) : base(_) { }
 
     public StringColumn(string columnName)
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/DataBaseCommandBase.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/DataBaseCommandBase.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/DataBaseCommandBase.cs	(revision 16567)
@@ -30,5 +30,5 @@
   public abstract class DatabaseCommandBase : DataSetCommandBase {
     [StorableConstructor]
-    protected DatabaseCommandBase(bool deserializing) : base(deserializing) { }
+    protected DatabaseCommandBase(StorableConstructorFlag _) : base(_) { }
     protected DatabaseCommandBase(DataSet dataSet, IDbExplorer dbExplorer)
       : base(dataSet) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupWithSqlStringFromDBCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupWithSqlStringFromDBCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupWithSqlStringFromDBCommand.cs	(revision 16567)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    protected LoadColumnGroupWithSqlStringFromDBCommand(bool deserializing) : base(deserializing) { }
+    protected LoadColumnGroupWithSqlStringFromDBCommand(StorableConstructorFlag _) : base(_) { }
     public LoadColumnGroupWithSqlStringFromDBCommand(DataSet dataSet, IDbExplorer dbExplorer, string sqlString)
       : base(dataSet, dbExplorer) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupsFromDBCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupsFromDBCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/LoadColumnGroupsFromDBCommand.cs	(revision 16567)
@@ -36,6 +36,5 @@
 
     [StorableConstructor]
-    protected LoadColumnGroupsFromDBCommand(bool deserializing)
-      : base(deserializing) {
+    protected LoadColumnGroupsFromDBCommand(StorableConstructorFlag _) : base(_) {
       this.newColumnGroups = new List<ColumnGroup>();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/ReorderColumnsCommand.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/ReorderColumnsCommand.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/Command/ReorderColumnsCommand.cs	(revision 16567)
@@ -34,5 +34,5 @@
 
     [StorableConstructor]
-    protected ReorderColumnsCommand(bool deserializing) : base(deserializing) { }
+    protected ReorderColumnsCommand(StorableConstructorFlag _) : base(_) { }
     public ReorderColumnsCommand(DataSet ds, Dictionary<string, int[]> displayedIndexes)
       : base(ds) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/DataProcessor.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/DataProcessor.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DataProcessor/DataProcessor.cs	(revision 16567)
@@ -23,5 +23,4 @@
 using HeuristicLab.DataImporter.Data.Model;
 using HeuristicLab.DataImporter.DbExplorer.Interfaces;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -34,6 +33,5 @@
     }
     [StorableConstructor]
-    protected DataProcessor(bool deserializing)
-      : base() {
+    protected DataProcessor(StorableConstructorFlag _) {
       this.commandChain = new CommandChain();
     }
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbColumn.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbColumn.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbColumn.cs	(revision 16567)
@@ -20,5 +20,4 @@
 #endregion
 
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -27,5 +26,5 @@
   public class DbColumn {
     [StorableConstructor]
-    protected DbColumn(bool deserializing) : base() { }
+    protected DbColumn(StorableConstructorFlag _) { }
 
     public DbColumn(string columnName, string sqlDataType) {
Index: addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbTable.cs
===================================================================
--- addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbTable.cs	(revision 16566)
+++ addons/HeuristicLab.DataImporter/HeuristicLab.DataImporter.DbExplorer.Interfaces/DbTable.cs	(revision 16567)
@@ -23,5 +23,4 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HEAL.Attic;
 
@@ -30,6 +29,5 @@
   public class DbTable {
     [StorableConstructor]
-    protected DbTable(bool deserializing)
-      : base() {
+    protected DbTable(StorableConstructorFlag _) {
       this.informationLoaded = new DateTime(1990, 1, 1);
     }
